# salt.modules.mac_sysctl

Module for viewing and modifying sysctl parameters

salt.modules.mac_sysctl.assign(name, value)

  Assign a single sysctl parameter for this minion

  name

    The name of the sysctl value to edit.

  value

    The sysctl value to apply.

  CLI Example:

      salt '*' sysctl.assign net.inet.icmp.icmplim 50

salt.modules.mac_sysctl.get(name)

  Return a single sysctl parameter for this minion

  name

    The name of the sysctl value to display.

  CLI Example:

      salt '*' sysctl.get hw.physmem

salt.modules.mac_sysctl.persist(name, value, config='/etc/sysctl.conf', apply_change=False)

  Assign and persist a simple sysctl parameter for this minion

  name

    The name of the sysctl value to edit.

  value

    The sysctl value to apply.

  config

    The location of the sysctl configuration file.

  apply_change

    Default is False; Default behavior only creates or edits the sysctl.conf file. If apply is set to True, the changes are applied to the system.

  CLI Example:

      salt '*' sysctl.persist net.inet.icmp.icmplim 50
      salt '*' sysctl.persist coretemp_load NO config=/etc/sysctl.conf

salt.modules.mac_sysctl.show(config_file=False)

  Return a list of sysctl parameters for this minion

  config: Pull the data from the system configuration file

    instead of the live data.

  CLI Example:

      salt '*' sysctl.show